package com.xhpc.charging.station.service;

import com.xhpc.common.core.web.domain.AjaxResult;
import com.xhpc.common.domain.XhpcEquipmenMonitor;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @date 2022/9/12 10:55
 */
public interface IXhpcEquipmenMonitorService {

    List<Map<String, Object>>  list(HttpServletRequest request, String equipmenName, String equipmenNumber, Long chargingStationId);

    AjaxResult getequipmenMonitorById(Long equipmenMonitorId);


    AjaxResult addEquipmenMonitor(XhpcEquipmenMonitor xhpcEquipmenMonitor);

    AjaxResult remove(Long equipmenMonitorId);

    AjaxResult  getChargingStationMonitor(Long chargingStationId);

    AjaxResult  getChargingStationEquipmenToken();
}


